Add a gig contact to a contact
Creates a gig contact with contactId set to this contact.
Path Parameters
- Type: stringFormat: uuididrequired
Contact id.
Body·
required
application/json
Fields accepted when creating a gig contact. Unknown or read-only fields are rejected.
- Type: string | nullFormat: uuidcontact
Id requiredReferences contacts.id.
- Type: string | nullFormat: uuidgig
Id requiredReferences gigs.id.
- Type: string | nulllabel
- Type: array of string | nullenumroles
Role(s) this contact plays on this gig. Vocabulary is brand-relabelable (t()); stored as text[].
values- Bride
- Groom
- Planner
- Assistant
Planner - Functioning
As Planner - Event
Organizer - Client
- Signatory - Primary
Point of Contact
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/contacts/{id}/gigs
curl https://api.weddingoperatingsystems.com/api/v1/contacts/123e4567-e89b-12d3-a456-426614174000/gigs \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"label": null,
"gigId": null,
"contactId": null,
"roles": [
"Bride"
]
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": null,
"gigId": null,
"contactId": null,
"roles": [
"Bride"
],
"createdTime": "2026-09-30T06:22:05.749Z",
"lastEditedTime": "2026-09-30T06:22:05.749Z"
}
}